Bug Hunting Session
Bug 97021 - [LOCALHELP] Write help page for FORECAST.ETS function
Summary: [LOCALHELP] Write help page for FORECAST.ETS function
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on: 94635
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2016-01-10 18:51 UTC by Olivier Hallot
Modified: 2016-10-25 19:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
help text for exponential smoothing forecast functions (35.80 KB, application/vnd.oasis.opendocument.text)
2016-03-04 06:55 UTC, Winfried Donkers (retired)
Details
sample file with forecasts (24.70 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-03-07 14:23 UTC, Winfried Donkers (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2016-01-10 18:51:33 UTC
New function FORECAST.ETS to be delivered soon will need a help page.

This bug is to earmark this task.
Comment 1 Winfried Donkers (retired) 2016-01-11 08:45:58 UTC
Actually, there will be a 7 new FORECAST.ETS functions:
FORECAST.ETS.ADD*
FORECAST.ETS.MULT
FORECAST.ETS.SEASONALITY*
FORECAST.ETS.PI.ADD*
FORECAST.ETS.PI.MULT
FORECAST.ETS.STAT.ADD*
FORECAST.ETS.STAT.MULT
of which the functions marked with * are also in Excel206 (without the .ADD part).

In the same batch, the Excel2016 function FORECAST.LINEAR will be added to Calc, which is identical to FORECAST.

All the above functions are in bug 94635
Comment 2 Winfried Donkers (retired) 2016-03-04 06:55:51 UTC
Created attachment 123220 [details]
help text for exponential smoothing forecast functions

@Olivier:
The code (finally) got pushed and will be in 5.2.0.
Attached is the help text, i.e. the best I could make of it.
I hope it is not much trouble for you to edit it where neccessary and put it in the help text base.
I very much appreciate your kind help :-)
Comment 3 Olivier Hallot 2016-03-06 17:53:36 UTC
The parameter names offered in the document of comment#2 is much better that the param names of the function wizzard, which I recommend to change.

The names employed in the help pages are / will be
target
values
timeline
confidence_level
stat_type
num_samp_per
data_completion
aggregation

For the function wizzard of FORECAST.ETS.ADD the parameters are

date
data_Y
data_X
value
boolean
value

Note here that:
- 'boolean' is commonly understood as a data type (TRUE/FALSE)
- 'value' is repeated and lead to ambiguity in more than one FORECAST.ETS.* function.
Comment 4 Winfried Donkers (retired) 2016-03-07 07:38:06 UTC
(In reply to Olivier Hallot from comment #3)
> The parameter names offered in the document of comment#2 is much better that
> the param names of the function wizzard, which I recommend to change.
> 
Good point; I will try to make the names in the function wizard compliant with the help text.
Comment 5 Winfried Donkers (retired) 2016-03-07 08:58:57 UTC
(In reply to Olivier Hallot from comment #3)
> The names employed in the help pages are / will be
[...]
> num_samp_per

I suggest to change that to period_length.
Comment 6 Olivier Hallot 2016-03-07 12:30:04 UTC
I am almost done with the help content on the subject. Such changes as in comment#5 are simple, let's do it.

I need however a small data sample (max 10 values/column) with ETS computations to illustrate the functions results. That can be 

One result "normal", i.e. data "well behaved".
One result in a corner case, reaching the limit of the function constraints
one result that generate an error condition

Th reason I'm asking is because I have to specific "feeling" on the results of a data set if I have to guess randomly. I also would like to have all 7 functions acting on the same dataset, wherever possible.
Thanks.
Comment 7 Winfried Donkers (retired) 2016-03-07 14:23:16 UTC
Created attachment 123383 [details]
sample file with forecasts

Attached document contains FORECAST.ETS.ADD and .MULT for a range, as well as the prediction intervals and statistical values.
Note that FORECAST.SEASONALITY is identical with FORECAST.STAT.ADD/MULT and statistical type 9.

The document does not contain double exponential smoothing, but you can force that by setting the period length to 1.

I hope this is what you want, if not, I'll try to upload another sample.
Comment 8 Commit Notification 2016-03-09 17:12:09 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=9dc3878117e8d2c4e6e6cf09b41fb2e06867a477

tdf#97021 Help pages for FORECAST.ETS functions
Comment 9 Olivier Hallot 2016-03-09 17:39:13 UTC
Temporarily, the pages are rendered from this website and beyond.

http://hc3.edx.srv.br/text/scalc/01/func_forecastetspimult.xhp